Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.network.packet
Class Packet60Explosion

    java.lang.Object
      net.minecraft.network.packet.Packet
          net.minecraft.network.packet.Packet60Explosion

    public class Packet60Explosion

extends Packet

Field Summary
`List` | `chunkPositionRecords`
`float` | `explosionSize`
`double` | `explosionX`
`double` | `explosionY`
`double` | `explosionZ`

Fields inherited from class net.minecraft.network.packet.Packet
`creationTimeMillis, isChunkDataPacket, packetIdToClassMap, receivedID, receivedSize, sentID, sentSize`

Constructor Summary
`Packet60Explosion()`
`Packet60Explosion(double par1, double par3, double par5, float par7, List par8List, Vec3 par9Vec3)`

Method Summary
`float` | `func_73607_d()`
`float` | `func_73608_g()`
`float` | `func_73609_f()`
`int` | `getPacketSize()` Abstract.
`void` | `processPacket(NetHandler par1NetHandler)` Passes this Packet on to the NetHandler for processing.
`void` | `readPacketData(DataInputStream par1DataInputStream)` Abstract.
`void` | `writePacketData(DataOutputStream par1DataOutputStream)` Abstract.

Methods inherited from class net.minecraft.network.packet.Packet
`addIdClassMapping, containsSameEntityIDAs, getNewPacket, getPacketId, isRealPacket, isWritePacket, readBytesFromStream, readItemStack, readNBTTagCompound, readPacket, readString, toString, writeByteArray, writeItemStack, writePacket, writeString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### explosionX

    public double explosionX

### explosionY

    public double explosionY

### explosionZ

    public double explosionZ

### explosionSize

    public float explosionSize

### chunkPositionRecords

    public List chunkPositionRecords

Constructor Detail

### Packet60Explosion

    public Packet60Explosion()

### Packet60Explosion

    public Packet60Explosion(double par1,
                             double par3,
                             double par5,
                             float par7,
                             List par8List,
                             Vec3 par9Vec3)

Method Detail

### readPacketData

    public void readPacketData(DataInputStream par1DataInputStream)
                        throws IOException

  Abstract. Reads the raw packet data from the data stream.

  Specified by:
    `readPacketData` in class `Packet`
  Throws:
    `IOException`

### writePacketData

    public void writePacketData(DataOutputStream par1DataOutputStream)
                         throws IOException

  Abstract. Writes the raw packet data to the data stream.

  Specified by:
    `writePacketData` in class `Packet`
  Throws:
    `IOException`

### processPacket

    public void processPacket(NetHandler par1NetHandler)

  Passes this Packet on to the NetHandler for processing.

  Specified by:
    `processPacket` in class `Packet`

### getPacketSize

    public int getPacketSize()

  Abstract. Return the size of the packet (not counting the header).

  Specified by:
    `getPacketSize` in class `Packet`

### func_73607_d

    public float func_73607_d()

### func_73609_f

    public float func_73609_f()

### func_73608_g

    public float func_73608_g()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD